	IDENTIFICATION DIVISION.
      * 		SQCPSCB  /000-11/010895

      *------------------------------------------------------
      * 	Copy Protection System
      * 	S a m p l e
      *------------------------------------------------------

	ENVIRONMENT DIVISION.
	DATA DIVISION.
	WORKING-STORAGE SECTION.

	01	cps-drive		PIC XX.
	01	cps-user-data		PIC X(50).
	01	cps-data-len		PIC S9999 COMP-5.
	01	cps-passwd		PIC X(50).


	77	choice			PIC X.


	SCREEN SECTION.

       01 m-inout BLANK SCREEN.
	 02 LINE 1 COL 1 VALUE "
      -"Ŀ".
	 02 LINE 2 COL 1 VALUE "
      -"                               ".
	 02 LINE 3 COL 1 VALUE " function (c=check, i=initiate, q=quit)
      -"                               ".
	 02 LINE 4 COL 1 VALUE "
      -"                               ".
	 02 LINE 5 COL 1 VALUE " user data
      -"                               ".
	 02 LINE 6 COL 1 VALUE "
      -"                               ".
	 02 LINE 7 COL 1 VALUE " user data size
      -"                               ".
	 02 LINE 8 COL 1 VALUE "
      -"                               ".
	 02 LINE 9 COL 1 VALUE " password
      -"                               ".
	 02 LINE 10 COL 1 VALUE "
      -"                                ".
	 02 LINE 11 COL 1 VALUE " drive
      -"                                ".
	 02 LINE 12 COL 1 VALUE "
      -"                                ".
	 02 LINE 13 COL 1 VALUE "
      -"                                ".
	 02 LINE 14 COL 1 VALUE "
      -"                                ".
	 02 LINE 15 COL 1 VALUE "
      -"                                ".
	 02 LINE 16 COL 1 VALUE "
      -"".
	 02 m-choice LINE 3 COL 43 PIC X USING choice
					AUTO HIGHLIGHT.
	 02 m-user-data LINE 5 COL 19 PIC X(51) USING cps-user-data
					AUTO HIGHLIGHT.
	 02 m-user-data-len LINE 7 COL 19 PIC XX USING cps-data-len
					AUTO HIGHLIGHT.
	 02 m-password LINE 9 COL 19 PIC X(51) USING cps-passwd
					AUTO HIGHLIGHT.
	 02 m-drive LINE 11 COL 19 PIC XX USING cps-drive
					HIGHLIGHT.


       01 m-status.
	 02 LINE 13 COL 3 VALUE "return code".
	 02 m-return-code LINE 13 COL 19 PIC 9999 HIGHLIGHT
					FROM return-code.
	 02 m-status-wait LINE 13 COL 50 PIC X	  HIGHLIGHT
					TO choice.


	PROCEDURE DIVISION.
	main-start.
		MOVE	"A:"                    TO cps-drive.
		MOVE	SPACE			TO cps-user-data.
		MOVE	ZERO			TO cps-data-len.
		MOVE	SPACE			TO cps-passwd.

		DISPLAY m-inout.
		ACCEPT	m-inout.

		IF	choice = "q"
			GO TO main-end.
		IF	choice = "c"
			GO TO check.
		IF	choice = "i"
			GO TO init.
		GO TO main-start.

	check.
		CALL	"_sqcpsrd"       USING  cps-drive
						cps-user-data
						BY VALUE cps-data-len
						BY REFERENCE cps-passwd.

		DISPLAY m-user-data.
		go to main-status.

	init.
		CALL	"_sqcpswr"      USING   cps-drive
						cps-user-data
						BY VALUE cps-data-len
						BY REFERENCE cps-passwd.

		go to main-status.


	main-status.
		DISPLAY m-status.
		ACCEPT	m-status.
		GO TO main-start.

	main-end.
		DISPLAY "end of program SQCPSCB." WITH BLANK SCREEN.
		STOP RUN.

